Name:           tangerine
Version:        0.22
Release:        3%{?dist}
Summary:        Perl dependency metadata tool
License:        MIT
URL:            http://search.cpan.org/dist/App-Tangerine/
Source0:        http://www.cpan.org/authors/id/C/CO/CONTYK/App-Tangerine-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(Archive::Extract)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Find::Rule::Perl)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(List::Compare)
BuildRequires:  perl(MCE::Map)
BuildRequires:  perl(overload)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(Tangerine) >= 0.15
# Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Tangerine) >= 0.15

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Tangerine\\)$

%description
A perl dependency metadata reporting tool built on top of Tangerine.

%prep
%setup -q -n App-Tangerine-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc Changes CONTRIBUTING README.md
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.22-3
- Perl 5.24 rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 24 2015 Petr Šabata <contyk@redhat.com> - 0.22-1
- 0.22 bump, no changes

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.20-2
- Perl 5.22 rebuild

* Mon May 18 2015 Petr Šabata <contyk@redhat.com> - 0.20-1
- 0.20, just metadata enhancements

* Mon May 04 2015 Petr Šabata <contyk@redhat.com> - 0.19-1
- 0.19 bugfix bump

* Mon May 04 2015 Petr Šabata <contyk@redhat.com> - 0.18-1
- 0.18 bugfix bump

* Mon Apr 27 2015 Petr Šabata <contyk@redhat.com> - 0.16-1
- 0.16 bump
- Fix a sorting issue

* Fri Apr 24 2015 Petr Šabata <contyk@redhat.com> 0.15-1
- Initial packaging
